For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETGet asset tree
      • POSTCreate an asset
      • PATCHUpdate asset
      • GETList asset-rate bracket relations
      • POSTCreate/update asset-rate bracket relations
      • GETGet asset hierarchy structure
      • GETGet asset rate bracket ID mappings
      • GETGet asset tree
      • GETGet organisations by product
Calculator
LogoLogo
EndpointsAssets

Create an asset

POST
https://api.finput.com.au/api/v1/assets
POST
/api/v1/assets
$curl -X POST https://api.finput.com.au/api/v1/assets \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Excavator"
>}'
1{
2 "message": "message",
3 "data": {
4 "id": 1,
5 "name": "name",
6 "alias": "alias",
7 "parent": "parent",
8 "parent_id": 1,
9 "is_asset": true,
10 "is_deleted": true,
11 "asset_rate_brackets": [
12 {}
13 ],
14 "created_at": "2024-01-15T09:30:00Z",
15 "updated_at": "2024-01-15T09:30:00Z"
16 }
17}
Creates a new asset or category. Requires superuser permissions.
Was this page helpful?
Previous

Update asset

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
aliasstringOptional
parent_idintegerOptional

ID of the parent category/asset

Response

Asset created
messagestring
dataobject

Errors

403
Create Asset Request Forbidden Error